com.buschmais.jqassistant.plugin.javaee6.impl.scanner

## Class XmlDescriptorHelper

- java.lang.Object
- - com.buschmais.jqassistant.plugin.javaee6.impl.scanner.XmlDescriptorHelper

-     public class XmlDescriptorHelper
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DescriptionDescriptor` | `createDescription(DescriptionType descriptionType, com.buschmais.jqassistant.core.store.api.Store store)` Create a description descriptor.
    `static DisplayNameDescriptor` | `createDisplayName(DisplayNameType displayNameType, com.buschmais.jqassistant.core.store.api.Store store)` Create a display name descriptor.
    `static IconDescriptor` | `createIcon(IconType iconType, com.buschmais.jqassistant.core.store.api.Store store)` Create an icon descriptor.
    `static RoleNameDescriptor` | `createRoleName(RoleNameType roleNameType, com.buschmais.jqassistant.core.store.api.Store store)`
    `static SecurityRoleDescriptor` | `createSecurityRole(SecurityRoleType securityRoleType, com.buschmais.jqassistant.core.store.api.Store store)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDescription

          public static DescriptionDescriptor createDescription(DescriptionType descriptionType,
                                                                com.buschmais.jqassistant.core.store.api.Store store)

      Create a description descriptor.
      Parameters:
        `descriptionType` - The XML description type.
        `store` - The store.
      Returns:
        The description descriptor.

    - #### createIcon

          public static IconDescriptor createIcon(IconType iconType,
                                                  com.buschmais.jqassistant.core.store.api.Store store)

      Create an icon descriptor.
      Parameters:
        `iconType` - The XML icon type.
        `store` - The store
      Returns:
        The icon descriptor.

    - #### createDisplayName

          public static DisplayNameDescriptor createDisplayName(DisplayNameType displayNameType,
                                                                com.buschmais.jqassistant.core.store.api.Store store)

      Create a display name descriptor.
      Parameters:
        `displayNameType` - The XML display name type.
        `store` - The store.
      Returns:
        The display name descriptor.

    - #### createSecurityRole

          public static SecurityRoleDescriptor createSecurityRole(SecurityRoleType securityRoleType,
                                                                  com.buschmais.jqassistant.core.store.api.Store store)

    - #### createRoleName

          public static RoleNameDescriptor createRoleName(RoleNameType roleNameType,
                                                          com.buschmais.jqassistant.core.store.api.Store store)

Copyright © 2015 buschmais GbR. All rights reserved.